POST
Get card sensitive info
RestrictedUse this endpoint to query sensitive card information such as card number, card verification code, and expiry date from a secure server-side environment.
Restricted access
Call this endpoint only from secure server-side environments with approved sensitive-data access.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keycardIdCard ID.
Example:
100001curl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/card/getSensitiveInfo' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"cardId": 100001
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ cardId, cardNumber, ... }Sensitive card information.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"cardId": 100001,
"cardNumber": "411111******1111",
"cvv": "***",
"expiryTime": "12/28"
}
}No error responses are documented for this endpoint.